Subject: bug#45330: closed (Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Jan 2022 23:07:01 +0000

Your bug report

#45330: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45330: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45330
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus
From: Eric Abrahamsen <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
Date: Wed, 12 Jan 2022 15:06:47 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12/31/21 19:55 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>>  How about we move `gnus-registry-install-hooks' and
>> `gnus-registry-install-shortcuts' into `gnus-registry-load', after the
>> actual loading, a la the attached patch?  Does this solve the problems
>> you're seeing?
>
> I can't tell whether your solution is appropriate but it indeed seems to
> fix my problem!  I'll leave your patch installed and report back should
> I see any downside.

I looked back over the code and made some more rearrangements, I hope
really protecting various state variables behind the successful loading
of the registry. Please re-open if I've gotten anything wrong.

Thanks,
Eric

Subject: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Cc: Eric Abrahamsen <[email-masked]>, Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Dec 2020 05:53:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

sorry if I had already reported this and a fix is on the way.  Or had it
been fixed and has reappeared, or even my fault this time?

I'm doing something like

  (debbugs-gnu-search "debbugs" '((subject . "debbugs")) nil nil nil)

and when I hit RET over a bug's line I get this error:

| Debugger entered--Lisp error: (wrong-type-argument integer-or-marker-p nil)
|   gnus-summary-goto-subject(0)
|   gnus-summary-last-subject()
|   gnus-summary-highlight-line()
|   gnus-summary-insert-line([0 "" "" "05 Apr 2001 23:33:09 +0400" "" "" 0 0 "" nil] 0 nil t 90 t nil "" nil 1)
|   gnus-update-summary-mark-positions()
|   gnus-summary-read-group-1("nndoc+ephemeral:bug#36903" t t nil nil nil)
|   gnus-summary-read-group("nndoc+ephemeral:bug#36903" t t nil nil nil nil)
|   gnus-group-read-group(t t "nndoc+ephemeral:bug#36903" nil)
|   gnus-group-read-ephemeral-group("nndoc+ephemeral:bug#36903" (nndoc "/tmp/gnus-temp-group-lGIifE" (nndoc-article-type mbox)) nil (#<buffer *"debbugs" Bugs*> . #<window-configuration>))
|   gnus-read-ephemeral-bug-group((36903) "https://debbugs.gnu.org/cgi/bugreport.cgi?bug=%s;m..." (#<buffer *"debbugs" Bugs*> . #<window-configuration>))
|   gnus-read-ephemeral-emacs-bug-group((36903) (#<buffer *"debbugs" Bugs*> . #<window-configuration>))
|   debbugs-gnu-read-emacs-bug-with-gnus(36903 ((cache_time . 1608439370.59222) (last_modified . 1573129444) (done . "Eric Abrahamsen <[email-masked]>") (summary) (forwarded) (source . "unknown") (log_modified . 1573129444) (blockedby) (found_versions "27.0.50") (fixed_versions) (subject . "27.0.50; gnus registry vs. debbugs") (archived . t) (affects) (package "emacs") (location . "archive") (originator . "Michael Heerdegen <[email-masked]>") (date . 1564816382) (severity . "normal") (owner) (keywords) (fixed) (found (item (key . "27.0.50") (value))) (bug_num . 36903) (fixed_date) (id . 36903) (tags) (unarchived) (msgid . "<[email-masked]>") (pending . "done") (blocks) (found_date) (mergedwith)) nil)
|   debbugs-gnu-select-report()
|   funcall-interactively(debbugs-gnu-select-report)
|   call-interactively(debbugs-gnu-select-report nil nil)
|   command-execute(debbugs-gnu-select-report)

Annoying.  When I had started Gnus before, this doesn't happen.

TIA,

Michael.